<html><head><title></title></head><body>
<?php
function schreibeordner($ordner = ".",$html = "_DATEI_\n",$sortart = 0,$sortflg = 0,$wegdamit = "")
{  
/* schreibeordner() => Gibt Ordnerinhalt mit formatierung und sortierung zurueck
 *   Laeuft NICHT Rekursiv (gibt immer nur einen Ordner aus)
 * Argumente:
 *   $ordner => Ordner, der durchsucht werden soll
 *   $html => Formatierung der Ausgabe. Folgende Platzhalter sind erlaubt:
 *     _DATEI_ => Die Datei, die angezeigt wird.
 *     _URL_ => Gibt URL zur Datei aus (fr Links)
 *     _ENDUNG_ => Gibt die Dateiendung aus
 *     _GROS_ => Gibt die Groesse der Datei aus
 *     _ZEIT_ => Gibt die Zeit aus, zu der die Datei zuletzt editiert worden ist
 *     __ => 
 *   $sortart => Gibt an, wonach Sortiert werden soll
 *     0 => Keine Sortierreihenfolge
 *     1 => Alphabetisch nach Dateinamen
 *     2 => Aphabetisch nach Dateiendungen
 *     3 => Dateigroesse
 *     4 => Letzte Bearbeitungszeit
 *     5 => Ordner oder Datei Alphabetisch nach $nameordner und $namedatei
 *     6 => URL (da aber nur ein Ordner angegeben werden kann, identisch mit auswahl 0
 *     
 *   $sortflg => Sortierreihenfolge
 *     0 => Aufsteigend
 *     1 => Absteigend
 */
//Einstellungen:
$datumsformat = "d.m.y H:i";	// Naehere Erlaeuterung siehe: http://de3.php.net/manual/de/function.date.php
$nameordner = "Ordner";			// Die Bezeichnung fr Ordner, die mit _TYP_ ausgegeben wird.
$namedatei = "Datei";			// Die Bezeichnung fr Dateien, die mit _TYP_ ausgegeben wird.

// Ab hier gehts los
 //Zuerst das Array fuer das Auschlussverfahren aufbauen:
 $tellnot = explode(",",$wegdamit);
 //Und ab hier weiter mit dem ganzen anderen Kram...
 if($verz = opendir($ordner))
 {
	$x = 0;
	$file = array();
	while($temp = readdir($verz))
	{  //#3
		if($temp != '.' AND $temp != '..' AND !in_array($temp,$tellnot))
		{  //#4
			$file[$x]['1'] = $temp;						// Nach Dateiname
			if(!$temp2 = strrchr($temp,".")){
				$temp2 = " ".$ordner;
			}

			$file[$x]['2'] = substr($temp2,1);
			$file[$x]['4'] = filemtime($ordner."/".$temp);			// Nach letzter Bearbeitungszeit
			$file[$x]['3'] = filesize($ordner."/".$temp);			// Dateigroesse
			$file[$x]['5'] = is_dir($ordner."/".$temp) ? $nameordner : $namedatei;	// Ordner oder Datei
			$file[$x]['6'] = $ordner."/".$temp;
			clearstatcache();
			
			$x++;
		}  //+4
	}  //+3
	closedir($verz);

	// Sortieren:
	if($sortart > 0 AND $sortart <= 5)
	{
		for($y=0;$y<$x;$y++)
		{
			for($z=$y;$z<$x;$z++)
			{
				$chk = strnatcmp($file[$y][$sortart], $file[$z][$sortart]);
				if($chk > 0)
				{
					$t = $file[$y];
					$file[$y] = $file[$z];
					$file[$z] = $t;				
				}
			}
		}
	}
	//Umdrehen
	if($sortflg != 0)
	{
		$file = array_reverse($file);
	}
	
	// Vorbereiten zur Ausgabe:
	$return = array();
	foreach($file as $var){
		$t = $html;
		$ar = array('_DATEI_' => $var[1],
					'_ENDUNG_' => $var[2],
					'_GROS_' => $var[3],
					'_ZEIT_' => date($datumsformat,$var[4]),
					'_TYP_' => $var[5],
					'_URL_' => $var[6],
		);
		$return[] = strtr($t, $ar)."\n";
	}
	$t = implode("",$return);
	return $t;

 // Das hier kommt nur, wenn es den Angegebenen Ordner nicht gibt
 } 
 else
 {
	return "Keinen Ordner mit diesem Namen gefunden";
 }
} 

echo schreibeordner(".","<a href=\"www.markus-burkhardt.de/vcp_\" class=\"sitemaplink\">_DATEI_</a><br>",1,0,"unsichtbar1,unsichtbar2,ub3");

?>
</body></html>